List files in a Helm chart version
import requests
url = "https://platform.ankra.app/api/v1/org/helm/charts/chart/{repository_name}/{chart_name}/{chart_version}/files"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/helm/charts/chart/{repository_name}/{chart_name}/{chart_version}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/helm/charts/chart/{repository_name}/{chart_name}/{chart_version}/files \
--header 'Authorization: Bearer <token>'{
"files": [
{
"is_binary": true,
"path": "<string>",
"size": 123,
"base64_content": "<string>",
"content_omitted": false
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Helm
List files in a Helm chart version
Lists the files contained in the chart version’s archive. Answers 404 when the version has not been indexed and 413 when the archive is too large to open.
GET
/
api
/
v1
/
org
/
helm
/
charts
/
chart
/
{repository_name}
/
{chart_name}
/
{chart_version}
/
files
List files in a Helm chart version
import requests
url = "https://platform.ankra.app/api/v1/org/helm/charts/chart/{repository_name}/{chart_name}/{chart_version}/files"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/helm/charts/chart/{repository_name}/{chart_name}/{chart_version}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/helm/charts/chart/{repository_name}/{chart_name}/{chart_version}/files \
--header 'Authorization: Bearer <token>'{
"files": [
{
"is_binary": true,
"path": "<string>",
"size": 123,
"base64_content": "<string>",
"content_omitted": false
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}